| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csTriangleVerticesSorted Class Reference
[Geometry utilities]

This class works closely with csTriangleVerticesCost and maintains a sorted (on cost) view of the vertices. More...

`#include <csgeom/trimeshlod.h>`

List of all members.

## Public Member Functions
void | ChangeCostVertex (int vtidx)
| Change the cost of a vertex.
int | GetLowestCostVertex ()
| Get the lowest cost vertex that is still in the sorted list.

## Detailed Description

This class works closely with csTriangleVerticesCost and maintains a sorted (on cost) view of the vertices.

Definition at line 94 of file trimeshlod.h.

## Member Function Documentation

void csTriangleVerticesSorted::ChangeCostVertex | ( | int | vtidx | ) |

Change the cost of a vertex.

This function assumes the vertex cost has already been updated in the vertices table.

int csTriangleVerticesSorted::GetLowestCostVertex | ( |  | ) |

Get the lowest cost vertex that is still in the sorted list.

It will be 'removed' so that next time you call this function you will get the next lowest cost vertex. Returns -1 if there are no more vertices.

The documentation for this class was generated from the following file:

- csgeom/trimeshlod.h